Index: trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IODailyDataConstruction.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IODailyDataConstruction.cs	(revision 80)
+++ trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IODailyDataConstruction.cs	(revision 81)
@@ -31,7 +31,7 @@
         /// <summary>
         /// データフィールド並び
         /// </summary>
-        public enum DataColumn
+        public enum TableColumn
         {
             /// <summary>
             /// 作成者コード
@@ -273,16 +273,16 @@
                 strcmd += " SET";
                 switch (FeildNo)
                 {
-                    case (int)DataColumn.PersonCode:
+                    case (int)TableColumn.PersonCode:
                         strcmd += string.Format(" PersonCode = {0}", ((int)value).ToString());
                         break;
-                    case (int)DataColumn.DailyDataDate:
+                    case (int)TableColumn.DailyDataDate:
                         strcmd += string.Format(" DailyDataDate = TO_DATE('{0}','YYYY/MM/DD')", ((DateTime)value).ToShortDateString());
                         break;
-                    case (int)DataColumn.ConstructionCode:
+                    case (int)TableColumn.ConstructionCode:
                         strcmd += string.Format(" ConstructionCode = {0}", ((int)value).ToString());
                         break;
-                    case (int)DataColumn.Weather:
+                    case (int)TableColumn.Weather:
                         strcmd += string.Format(" Weather = '{0}'", value.ToString());
                         break;
                 }
@@ -340,13 +340,13 @@
             try
             {
                 // データ取得
-                wrk.PersonCode = int.Parse(objwrk[(int)DataColumn.PersonCode].ToString());                 // 担当者コード
-                wrk.DailyDataDate = DateTime.Parse(objwrk[(int)DataColumn.DailyDataDate].ToString());      // 日報作成日
-                wrk.ConstructionCode = int.Parse(objwrk[(int)DataColumn.ConstructionCode].ToString());     // 工事番号
-                wrk.Weather = objwrk[(int)DataColumn.Weather].ToString();                                  // 天気
+                wrk.PersonCode = int.Parse(objwrk[(int)TableColumn.PersonCode].ToString());                 // 担当者コード
+                wrk.DailyDataDate = DateTime.Parse(objwrk[(int)TableColumn.DailyDataDate].ToString());      // 日報作成日
+                wrk.ConstructionCode = int.Parse(objwrk[(int)TableColumn.ConstructionCode].ToString());     // 工事番号
+                wrk.Weather = objwrk[(int)TableColumn.Weather].ToString();                                  // 天気
 
-                wrk.EntryDate = DateTime.Parse(objwrk[(int)DataColumn.EntryDate].ToString());
-                wrk.UpdateDate = DateTime.Parse(objwrk[(int)DataColumn.UpdateDate].ToString());
+                wrk.EntryDate = DateTime.Parse(objwrk[(int)TableColumn.EntryDate].ToString());
+                wrk.UpdateDate = DateTime.Parse(objwrk[(int)TableColumn.UpdateDate].ToString());
             }
             catch (OracleException oraex)
             {
Index: trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IODailyDataDetail.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IODailyDataDetail.cs	(revision 80)
+++ trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IODailyDataDetail.cs	(revision 81)
@@ -31,7 +31,7 @@
         /// <summary>
         /// データフィールド並び
         /// </summary>
-        public enum DataColumn
+        public enum TableColumn
         {
             /// <summary>
             /// 作成者コード
@@ -362,37 +362,37 @@
                 strcmd += " SET";
                 switch (FeildNo)
                 {
-                    case (int)DataColumn.PersonCode:
+                    case (int)TableColumn.PersonCode:
                         strcmd += string.Format(" PersonCode = {0}", (int)value);
                         break;
-                    case (int)DataColumn.DailyDataDate:
+                    case (int)TableColumn.DailyDataDate:
                         strcmd += string.Format(" DailyDataDate = TO_DATE('{0}','YYYY/MM/DD')", ((DateTime)value).ToShortDateString());
                         break;
-                    case (int)DataColumn.ConstructionCode:
+                    case (int)TableColumn.ConstructionCode:
                         strcmd += string.Format(" ConstructionCode = {0}", (int)value);
                         break;
-                    case (int)DataColumn.SeqNo:
+                    case (int)TableColumn.SeqNo:
                         strcmd += string.Format(" SeqNo = {0}", (int)value);
                         break;
-                    case (int)DataColumn.JobCategoryCode:
+                    case (int)TableColumn.JobCategoryCode:
                         strcmd += string.Format(" JobCategoryCode = {0}", (int)value);
                         break;
-                    case (int)DataColumn.CompanyCode:
+                    case (int)TableColumn.CompanyCode:
                         strcmd += string.Format(" CompanyCode = {0}", (int)value);
                         break;
-                    case (int)DataColumn.TodayHeadCount:
+                    case (int)TableColumn.TodayHeadCount:
                         strcmd += string.Format(" TodayHeadCount = {0}", (double)value);
                         break;
-                    case (int)DataColumn.TotalHeadCount:
+                    case (int)TableColumn.TotalHeadCount:
                         strcmd += string.Format(" TotalHeadCount = {0}", (double)value);
                         break;
-                    case (int)DataColumn.TodayWork:
+                    case (int)TableColumn.TodayWork:
                         strcmd += string.Format(" TodayWork = '{0}'", CommonMotions.cnvString(value));
                         break;
-                    case (int)DataColumn.NextdayWork:
+                    case (int)TableColumn.NextdayWork:
                         strcmd += string.Format(" NextdayWork = '{0}'", CommonMotions.cnvString(value));
                         break;
-                    case (int)DataColumn.NextdayHeadCount:
+                    case (int)TableColumn.NextdayHeadCount:
                         strcmd += string.Format(" NextdayHeadCount = {0}", (double)value);
                         break;
                 }
@@ -423,20 +423,20 @@
             try
             {
                 // データ取得
-                wrk.PersonCode = int.Parse(objwrk[(int)DataColumn.PersonCode].ToString());                  // 担当者コード
-                wrk.DailyDataDate = DateTime.Parse(objwrk[(int)DataColumn.DailyDataDate].ToString());       // 日報作成日
-                wrk.ConstructionCode = int.Parse(objwrk[(int)DataColumn.ConstructionCode].ToString());      // 工事番号
-                wrk.SeqNo = int.Parse(objwrk[(int)DataColumn.SeqNo].ToString());                            // 明細行番号
-                wrk.JobCategoryCode = int.Parse(objwrk[(int)DataColumn.JobCategoryCode].ToString());        // 職種キー
-                wrk.CompanyCode = int.Parse(objwrk[(int)DataColumn.CompanyCode].ToString());                // 協力会社コード
-                wrk.TodayHeadCount = double.Parse(objwrk[(int)DataColumn.TodayHeadCount].ToString());       // 当日人員数
-                wrk.TotalHeadCount = double.Parse(objwrk[(int)DataColumn.TotalHeadCount].ToString());       // 累計人員数
-                wrk.TodayWork = objwrk[(int)DataColumn.TodayWork].ToString();                               // 当日作業内容
-                wrk.NextdayWork = objwrk[(int)DataColumn.NextdayWork].ToString();                           // 翌日作業内容
-                wrk.NextdayHeadCount = double.Parse(objwrk[(int)DataColumn.NextdayHeadCount].ToString());   // 翌日人員数
+                wrk.PersonCode = int.Parse(objwrk[(int)TableColumn.PersonCode].ToString());                  // 担当者コード
+                wrk.DailyDataDate = DateTime.Parse(objwrk[(int)TableColumn.DailyDataDate].ToString());       // 日報作成日
+                wrk.ConstructionCode = int.Parse(objwrk[(int)TableColumn.ConstructionCode].ToString());      // 工事番号
+                wrk.SeqNo = int.Parse(objwrk[(int)TableColumn.SeqNo].ToString());                            // 明細行番号
+                wrk.JobCategoryCode = int.Parse(objwrk[(int)TableColumn.JobCategoryCode].ToString());        // 職種キー
+                wrk.CompanyCode = int.Parse(objwrk[(int)TableColumn.CompanyCode].ToString());                // 協力会社コード
+                wrk.TodayHeadCount = double.Parse(objwrk[(int)TableColumn.TodayHeadCount].ToString());       // 当日人員数
+                wrk.TotalHeadCount = double.Parse(objwrk[(int)TableColumn.TotalHeadCount].ToString());       // 累計人員数
+                wrk.TodayWork = objwrk[(int)TableColumn.TodayWork].ToString();                               // 当日作業内容
+                wrk.NextdayWork = objwrk[(int)TableColumn.NextdayWork].ToString();                           // 翌日作業内容
+                wrk.NextdayHeadCount = double.Parse(objwrk[(int)TableColumn.NextdayHeadCount].ToString());   // 翌日人員数
                 
-                wrk.EntryDate = DateTime.Parse(objwrk[(int)DataColumn.EntryDate].ToString());
-                wrk.UpdateDate = DateTime.Parse(objwrk[(int)DataColumn.UpdateDate].ToString());
+                wrk.EntryDate = DateTime.Parse(objwrk[(int)TableColumn.EntryDate].ToString());
+                wrk.UpdateDate = DateTime.Parse(objwrk[(int)TableColumn.UpdateDate].ToString());
             }
             catch (OracleException oraex)
             {
Index: trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IODailyDataField.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IODailyDataField.cs	(revision 80)
+++ trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IODailyDataField.cs	(revision 81)
@@ -31,7 +31,7 @@
         /// <summary>
         /// データフィールド並び
         /// </summary>
-        public enum DataColumn
+        public enum TableColumn
         {
             /// <summary>
             /// 作成者コード
@@ -312,16 +312,16 @@
             try
             {
                 // データ取得
-                wrk.PersonCode = int.Parse(objwrk[(int)DataColumn.PersonCode].ToString());                  // 担当者コード
-                wrk.DailyDataDate = DateTime.Parse(objwrk[(int)DataColumn.DailyDataDate].ToString());       // 日報作成日
-                wrk.ConstructionCode = int.Parse(objwrk[(int)DataColumn.ConstructionCode].ToString());      // 工事番号
-                wrk.SeqNo = int.Parse(objwrk[(int)DataColumn.SeqNo].ToString());                            // 明細行番号
+                wrk.PersonCode = int.Parse(objwrk[(int)TableColumn.PersonCode].ToString());                  // 担当者コード
+                wrk.DailyDataDate = DateTime.Parse(objwrk[(int)TableColumn.DailyDataDate].ToString());       // 日報作成日
+                wrk.ConstructionCode = int.Parse(objwrk[(int)TableColumn.ConstructionCode].ToString());      // 工事番号
+                wrk.SeqNo = int.Parse(objwrk[(int)TableColumn.SeqNo].ToString());                            // 明細行番号
 
-                wrk.PatrolTime =  DateTime.Parse(objwrk[(int)DataColumn.PatrolTime].ToString());            // 巡回時間
-                wrk.ContentsText = objwrk[(int)DataColumn.ContentsText].ToString();                         // 内容
+                wrk.PatrolTime =  DateTime.Parse(objwrk[(int)TableColumn.PatrolTime].ToString());            // 巡回時間
+                wrk.ContentsText = objwrk[(int)TableColumn.ContentsText].ToString();                         // 内容
 
-                wrk.EntryDate = DateTime.Parse(objwrk[(int)DataColumn.EntryDate].ToString());
-                wrk.UpdateDate = DateTime.Parse(objwrk[(int)DataColumn.UpdateDate].ToString());
+                wrk.EntryDate = DateTime.Parse(objwrk[(int)TableColumn.EntryDate].ToString());
+                wrk.UpdateDate = DateTime.Parse(objwrk[(int)TableColumn.UpdateDate].ToString());
             }
             catch (OracleException oraex)
             {
Index: trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IODailyDataMaterials.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IODailyDataMaterials.cs	(revision 80)
+++ trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IODailyDataMaterials.cs	(revision 81)
@@ -31,7 +31,7 @@
         /// <summary>
         /// データフィールド並び
         /// </summary>
-        public enum DataColumn
+        public enum TableColumn
         {
             /// <summary>
             /// 作成者コード
@@ -330,19 +330,19 @@
             try
             {
                 // データ取得
-                wrk.PersonCode = int.Parse(objwrk[(int)DataColumn.PersonCode].ToString());                    // 担当者コード
-                wrk.DailyDataDate = DateTime.Parse(objwrk[(int)DataColumn.DailyDataDate].ToString());         // 日報作成日
-                wrk.ConstructionCode = int.Parse(objwrk[(int)DataColumn.ConstructionCode].ToString());        // 工事番号
-                wrk.SeqNo = int.Parse(objwrk[(int)DataColumn.SeqNo].ToString());                              // 明細行番号
+                wrk.PersonCode = int.Parse(objwrk[(int)TableColumn.PersonCode].ToString());                    // 担当者コード
+                wrk.DailyDataDate = DateTime.Parse(objwrk[(int)TableColumn.DailyDataDate].ToString());         // 日報作成日
+                wrk.ConstructionCode = int.Parse(objwrk[(int)TableColumn.ConstructionCode].ToString());        // 工事番号
+                wrk.SeqNo = int.Parse(objwrk[(int)TableColumn.SeqNo].ToString());                              // 明細行番号
                 
-                wrk.Materials = objwrk[(int)DataColumn.Materials].ToString();                                 // 	資材名
-                wrk.Quantity = objwrk[(int)DataColumn.Quantity].ToString();                                   // 	数量
-                wrk.Production = objwrk[(int)DataColumn.Production].ToString();                               // 	制作会社
-                wrk.Delivery = objwrk[(int)DataColumn.Delivery].ToString();                                   // 	納入業者
-                wrk.QualityControl = objwrk[(int)DataColumn.QualityControl].ToString();                       //  	品質管理事項
+                wrk.Materials = objwrk[(int)TableColumn.Materials].ToString();                                 // 	資材名
+                wrk.Quantity = objwrk[(int)TableColumn.Quantity].ToString();                                   // 	数量
+                wrk.Production = objwrk[(int)TableColumn.Production].ToString();                               // 	制作会社
+                wrk.Delivery = objwrk[(int)TableColumn.Delivery].ToString();                                   // 	納入業者
+                wrk.QualityControl = objwrk[(int)TableColumn.QualityControl].ToString();                       //  	品質管理事項
 
-                wrk.EntryDate = DateTime.Parse(objwrk[(int)DataColumn.EntryDate].ToString());
-                wrk.UpdateDate = DateTime.Parse(objwrk[(int)DataColumn.UpdateDate].ToString());
+                wrk.EntryDate = DateTime.Parse(objwrk[(int)TableColumn.EntryDate].ToString());
+                wrk.UpdateDate = DateTime.Parse(objwrk[(int)TableColumn.UpdateDate].ToString());
             }
             catch (OracleException oraex)
             {
Index: trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IODailyDataSubcontractors.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IODailyDataSubcontractors.cs	(revision 80)
+++ trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IODailyDataSubcontractors.cs	(revision 81)
@@ -31,7 +31,7 @@
         /// <summary>
         /// データフィールド並び
         /// </summary>
-        public enum DataColumn
+        public enum TableColumn
         {
             /// <summary>
             /// 作成者コード
@@ -310,16 +310,16 @@
             try
             {
                 // データ取得
-                wrk.PersonCode = int.Parse(objwrk[(int)DataColumn.PersonCode].ToString());                  // 担当者コード
-                wrk.DailyDataDate = DateTime.Parse(objwrk[(int)DataColumn.DailyDataDate].ToString());       // 日報作成日
-                wrk.ConstructionCode = int.Parse(objwrk[(int)DataColumn.ConstructionCode].ToString());      // 工事番号
-                wrk.SeqNo = int.Parse(objwrk[(int)DataColumn.SeqNo].ToString());                            // 明細行番号
+                wrk.PersonCode = int.Parse(objwrk[(int)TableColumn.PersonCode].ToString());                  // 担当者コード
+                wrk.DailyDataDate = DateTime.Parse(objwrk[(int)TableColumn.DailyDataDate].ToString());       // 日報作成日
+                wrk.ConstructionCode = int.Parse(objwrk[(int)TableColumn.ConstructionCode].ToString());      // 工事番号
+                wrk.SeqNo = int.Parse(objwrk[(int)TableColumn.SeqNo].ToString());                            // 明細行番号
 
-                wrk.Attendee = objwrk[(int)DataColumn.Attendee].ToString();                                 //出席者
-                wrk.ContentsText = objwrk[(int)DataColumn.ContentsText].ToString();                                 //内容
+                wrk.Attendee = objwrk[(int)TableColumn.Attendee].ToString();                                 //出席者
+                wrk.ContentsText = objwrk[(int)TableColumn.ContentsText].ToString();                                 //内容
 
-                wrk.EntryDate = DateTime.Parse(objwrk[(int)DataColumn.EntryDate].ToString());
-                wrk.UpdateDate = DateTime.Parse(objwrk[(int)DataColumn.UpdateDate].ToString());
+                wrk.EntryDate = DateTime.Parse(objwrk[(int)TableColumn.EntryDate].ToString());
+                wrk.UpdateDate = DateTime.Parse(objwrk[(int)TableColumn.UpdateDate].ToString());
             }
             catch (OracleException oraex)
             {
Index: trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IODailyDataVehicles.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IODailyDataVehicles.cs	(revision 80)
+++ trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IODailyDataVehicles.cs	(revision 81)
@@ -31,7 +31,7 @@
         /// <summary>
         /// データフィールド並び
         /// </summary>
-        public enum DataColumn
+        public enum TableColumn
         {
             /// <summary>
             /// 作成者コード
@@ -341,20 +341,20 @@
             try
             {
                 // データ取得
-                wrk.PersonCode = int.Parse(objwrk[(int)DataColumn.PersonCode].ToString());                     // 担当者コード
-                wrk.DailyDataDate = DateTime.Parse(objwrk[(int)DataColumn.DailyDataDate].ToString());          // 日報作成日
-                wrk.ConstructionCode = int.Parse(objwrk[(int)DataColumn.ConstructionCode].ToString());         // 工事番号
-                wrk.SeqNo = int.Parse(objwrk[(int)DataColumn.SeqNo].ToString());                               // 明細行番号
+                wrk.PersonCode = int.Parse(objwrk[(int)TableColumn.PersonCode].ToString());                     // 担当者コード
+                wrk.DailyDataDate = DateTime.Parse(objwrk[(int)TableColumn.DailyDataDate].ToString());          // 日報作成日
+                wrk.ConstructionCode = int.Parse(objwrk[(int)TableColumn.ConstructionCode].ToString());         // 工事番号
+                wrk.SeqNo = int.Parse(objwrk[(int)TableColumn.SeqNo].ToString());                               // 明細行番号
                 
-                wrk.Model = objwrk[(int)DataColumn.Model].ToString();                                          // 機種
-                wrk.Performance = objwrk[(int)DataColumn.Performance].ToString();                              // 性能
-                wrk.Owner = objwrk[(int)DataColumn.Owner].ToString();                                          // 所有会社
-                wrk.Driver = objwrk[(int)DataColumn.Driver].ToString();                                        // 当日運転者
-                wrk.StartWorkingTime = DateTime.Parse(objwrk[(int)DataColumn.StartWorkingTime].ToString());	// 作業時間開始
-                wrk.EndWorkingTime = DateTime.Parse(objwrk[(int)DataColumn.EndWorkingTime].ToString());	    // 作業時間終了
+                wrk.Model = objwrk[(int)TableColumn.Model].ToString();                                          // 機種
+                wrk.Performance = objwrk[(int)TableColumn.Performance].ToString();                              // 性能
+                wrk.Owner = objwrk[(int)TableColumn.Owner].ToString();                                          // 所有会社
+                wrk.Driver = objwrk[(int)TableColumn.Driver].ToString();                                        // 当日運転者
+                wrk.StartWorkingTime = DateTime.Parse(objwrk[(int)TableColumn.StartWorkingTime].ToString());	// 作業時間開始
+                wrk.EndWorkingTime = DateTime.Parse(objwrk[(int)TableColumn.EndWorkingTime].ToString());	    // 作業時間終了
                 
-                wrk.EntryDate = DateTime.Parse(objwrk[(int)DataColumn.EntryDate].ToString());
-                wrk.UpdateDate = DateTime.Parse(objwrk[(int)DataColumn.UpdateDate].ToString());
+                wrk.EntryDate = DateTime.Parse(objwrk[(int)TableColumn.EntryDate].ToString());
+                wrk.UpdateDate = DateTime.Parse(objwrk[(int)TableColumn.UpdateDate].ToString());
             }
             catch (OracleException oraex)
             {
Index: trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMProcessExcute.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMProcessExcute.cs	(revision 80)
+++ trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMProcessExcute.cs	(revision 81)
@@ -32,7 +32,7 @@
         /// <summary>
         /// 起動対象マスタフィールド並び
         /// </summary>
-        public enum DataColumn
+        public enum TableColumn
         {
             SecCode = 0,
             ExecCode,
@@ -299,13 +299,13 @@
             try
             {
                 // データ取得
-                wrk.SecCode = int.Parse(objwrk[(int)DataColumn.SecCode].ToString());
+                wrk.SecCode = int.Parse(objwrk[(int)TableColumn.SecCode].ToString());
 
-                wrk.ExecCode = int.Parse(objwrk[(int)DataColumn.ExecCode].ToString());
-                wrk.EditFlg = int.Parse(objwrk[(int)DataColumn.EditFlg].ToString());
+                wrk.ExecCode = int.Parse(objwrk[(int)TableColumn.ExecCode].ToString());
+                wrk.EditFlg = int.Parse(objwrk[(int)TableColumn.EditFlg].ToString());
                 
-                wrk.EntryDate = DateTime.Parse(objwrk[(int)DataColumn.EntryDate].ToString());
-                wrk.UpdateDate = DateTime.Parse(objwrk[(int)DataColumn.UpdateDate].ToString());
+                wrk.EntryDate = DateTime.Parse(objwrk[(int)TableColumn.EntryDate].ToString());
+                wrk.UpdateDate = DateTime.Parse(objwrk[(int)TableColumn.UpdateDate].ToString());
             }
             catch (OracleException oraex)
             {
Index: trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMSecurity.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMSecurity.cs	(revision 80)
+++ trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMSecurity.cs	(revision 81)
@@ -32,7 +32,7 @@
         /// <summary>
         /// 保護区分マスタフィールド並び
         /// </summary>
-        public enum DataColumn
+        public enum TableColumn
         {
             SecCode = 0,
             DisplayOrder,
@@ -322,26 +322,26 @@
                 strcmd += " SET";
                 switch (FeildNo)
                 {
-                    case (int) DataColumn.SecCode:
+                    case (int) TableColumn.SecCode:
                         strcmd += string.Format(" SecurityCode = {0}", ((int)value).ToString());
                         break;
-                    case (int)DataColumn.DisplayOrder:
+                    case (int)TableColumn.DisplayOrder:
                         strcmd += string.Format(" DisplayOrder = {0}", ((int)value).ToString());
                         break;
-                    case (int)DataColumn.SecName:
+                    case (int)TableColumn.SecName:
                         strcmd += string.Format(" SecurityName = '{0}'", value.ToString());
                         break;
-                    case (int)DataColumn.SecRank:
+                    case (int)TableColumn.SecRank:
                         strcmd += string.Format(" SecurityRank = {0}", ((int)value).ToString());
                         break;
-                    case (int)DataColumn.SecRange:
+                    case (int)TableColumn.SecRange:
                         strcmd += string.Format(" SecurityRange = {0}", ((int)value).ToString());
                         break;
-                    case (int)DataColumn.GeneralAffairs:
+                    case (int)TableColumn.GeneralAffairs:
                         strcmd += string.Format(" GeneralAffairs = {0}", ((int)value).ToString());
                         break;
 
-                    case (int)DataColumn.SelectBackColor:
+                    case (int)TableColumn.SelectBackColor:
                         strcmd += string.Format(" SelectBackColor = '{0}'", value.ToString());
                         break;
                 }
@@ -372,16 +372,16 @@
             try
             {
                 // データ取得
-                wrk.SecCode = int.Parse(objwrk[(int)DataColumn.SecCode].ToString());
-                wrk.DisplayOrder = int.Parse(objwrk[(int)DataColumn.DisplayOrder].ToString());
-                wrk.SecName = objwrk[(int)DataColumn.SecName].ToString();
-                wrk.SecRank = int.Parse(objwrk[(int)DataColumn.SecRank].ToString());
-                wrk.SecRange = int.Parse(objwrk[(int)DataColumn.SecRange].ToString());
-                wrk.GeneralAffairs = int.Parse(objwrk[(int)DataColumn.GeneralAffairs].ToString());
-                wrk.SelectBackColor = objwrk[(int)DataColumn.SelectBackColor].ToString();
+                wrk.SecCode = int.Parse(objwrk[(int)TableColumn.SecCode].ToString());
+                wrk.DisplayOrder = int.Parse(objwrk[(int)TableColumn.DisplayOrder].ToString());
+                wrk.SecName = objwrk[(int)TableColumn.SecName].ToString();
+                wrk.SecRank = int.Parse(objwrk[(int)TableColumn.SecRank].ToString());
+                wrk.SecRange = int.Parse(objwrk[(int)TableColumn.SecRange].ToString());
+                wrk.GeneralAffairs = int.Parse(objwrk[(int)TableColumn.GeneralAffairs].ToString());
+                wrk.SelectBackColor = objwrk[(int)TableColumn.SelectBackColor].ToString();
 
-                wrk.EntryDate = DateTime.Parse(objwrk[(int)DataColumn.EntryDate].ToString());
-                wrk.UpdateDate = DateTime.Parse(objwrk[(int)DataColumn.UpdateDate].ToString());
+                wrk.EntryDate = DateTime.Parse(objwrk[(int)TableColumn.EntryDate].ToString());
+                wrk.UpdateDate = DateTime.Parse(objwrk[(int)TableColumn.UpdateDate].ToString());
             }
             catch (OracleException oraex)
             {
Index: trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMSubContractor.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMSubContractor.cs	(revision 80)
+++ trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMSubContractor.cs	(revision 81)
@@ -538,6 +538,45 @@
         }
         #endregion
 
+        #region 協力会社コードの最大値を取得する
+        /// <summary>
+        /// 表示順の最大値を取得する
+        /// </summary>
+        /// <param name="AddSQLString"></param>
+        /// <param name="bConnect"></param>
+        /// <returns></returns>
+        public int SelectMaxDisplayOrderCount(string AddSQLString, bool bConnect = true)
+        {
+            //Oracle インターフェース
+            string strcmd = "";
+            ArrayList arData = new ArrayList();
+            int iRet = 0;
+            try
+            {
+                // SQL作成
+                strcmd = "SELECT NVL(MAX(DisplayOrder), 0) FROM SubContractorMaster" + AddSQLString;
+
+                // SQL実行
+                if (!ExecuteReader(strcmd, ref arData, bConnect)) return iRet;
+
+                // データセット
+                foreach (object[] objwrk in arData)
+                {
+                    if (objwrk[0].ToString().Equals("null"))
+                        iRet = 0;
+                    else
+                        iRet = int.Parse(objwrk[0].ToString());
+                }
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+            }
+
+            return iRet;
+        }
+        #endregion
+
         #region 主キー検索の文字列を返す
         /// <summary>
         /// 主キー検索の文字列を返す
Index: trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMSubContractorJobItem.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMSubContractorJobItem.cs	(revision 80)
+++ trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMSubContractorJobItem.cs	(revision 81)
@@ -34,7 +34,7 @@
         public enum NameColumn
         {
             CompanyCode = 0,
-            ItemsCode,
+            ItemCode,
             DisplayOrder,
             EntryDate,
             UpdateDate,
@@ -243,7 +243,7 @@
             {
                 // データ取得
                 wrk.CompanyCode = int.Parse(objwrk[(int)NameColumn.CompanyCode].ToString());
-                wrk.ItemCode = int.Parse(objwrk[(int)NameColumn.ItemsCode].ToString());
+                wrk.ItemCode = int.Parse(objwrk[(int)NameColumn.ItemCode].ToString());
                 wrk.DisplayOrder = int.Parse(objwrk[(int)NameColumn.DisplayOrder].ToString());
 
                 wrk.EntryDate = DateTime.Parse(objwrk[(int)NameColumn.EntryDate].ToString());
